AbstractGriffonMvcArtifactScript (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractGriffonMvcArtifactScript

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Script
              org.codehaus.griffon.runtime.core.AbstractGriffonArtifactScript
                  org.codehaus.griffon.runtime.core.AbstractGriffonMvcArtifactScript

All Implemented Interfaces:
  GriffonMvcArtifact

    public abstract class AbstractGriffonMvcArtifactScript
    extends AbstractGriffonArtifactScript

Base implementation of the GriffonMvcArtifact interface for Script based artifacts.

Authors:
  Andres Almiray

Since:
  0.9.4

Field Summary

Fields inherited from class AbstractGriffonArtifactScript
app, log, myMetaClass, resourceLocator

Constructor Summary
`AbstractGriffonMvcArtifactScript(String type)`

Method Summary
`void` | `mvcGroupDestroy()`
`void` | `mvcGroupInit(Map args)`

Methods inherited from class AbstractGriffonArtifactScript
buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, getApp, getGriffonClass, getLog, getMetaClass, getResourceAsStream, getResourceAsURL, getResources, isUIThread, newInstance, setApp, setMetaClass, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from class Script
println, println, run, run, setProperty, getProperty, print, printf, printf, evaluate, evaluate, invokeMethod, getBinding, setBinding, getMetaClass, setMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AbstractGriffonMvcArtifactScript

    public AbstractGriffonMvcArtifactScript(String type)

Method Detail

### mvcGroupDestroy

    public void mvcGroupDestroy()

### mvcGroupInit

    public void mvcGroupInit(Map args)

Groovy Documentation